<?php
class db
{
	const CHIAVE_DUPLICATA = 1;
	const TRIGGER_EXCEPTION = 2;
	const COMMAND_OK = 3;
	const DATA_NON_VALIDA = 4;
	const FK_VIOLATA = 5;
    
	function db()
	{
		$this->user="andr";
		$this->password="andr";
		$this->database="andr";
	}
  
	function getConnection()
	{
		return $this->dbconn;
	}

	function closeConnection()
	{
		pg_close($this->dbconn);
	}

	function performQuery($query)
	{

		pg_send_query($this->getConnection(), $query);

		$risultato_query = pg_get_result($this->getConnection() );

		switch (pg_result_error_field($risultato_query, PGSQL_DIAG_SQLSTATE)) {
				case 23505:
					return self::CHIAVE_DUPLICATA;
				break;
				case P0001:
					return  self::TRIGGER_EXCEPTION;
                break;
				case 22008:
					return self::DATA_NON_VALIDA;
                break;
				case 22007:
					return self::DATA_NON_VALIDA;
                break;
				case 23503:phpinfo();
					return self::FK_VIOLATA;
				break;
				default:
					return self::COMMAND_OK;
		}

	}
  
	function connection($d,$u)
	{
		if($d=='andr')
		{
			if($u=='andr')
			{
				$this->dbconn=pg_connect("dbname=$this->database user=$this->user password=$this->password");
				if ($this->dbconn) 
				{
					//echo "<h3><font color='green'>Connection attempt succeeded.</font></h3>"."<p>";//Tentativo di connessione riuscito
				} 
				else 
				{
					echo "<h3><font color='red'>Tentativo di connessione fallito. Controlla che il server del db sia attivo.</font></h3><br>";//Tentativo di connessione fallito
					exit;
				}
			}
			else
			{
				$_SESSION["mex_operazione"]=messaggio_errore("DB UTENTE NON AUTORIZZATO.","left");
			}
		}
		else
		{
			$_SESSION["mex_operazione"]=messaggio_errore("DATABASE NON VALIDO.","left");
		}
	}
}
?>
